Subject: Growing tobacco?

From: [email-masked] (Kerry M Miller)
Date: Wed, 15 Mar 1995 05:24:45 GMT

Hi!

Just to take my organic gardening to another level (it does
seem to spread to other areas of your life, dammit), I 
thought I would try my hand at growing tobacco - that way
I can smoke a cigarette with ~600 less additives than
the commercial brands.  

Yes, I know it will probably taste like smoking peat moss,
(which is why they add most of those 600 additives, I suppose),
but I want to give it a try this season anyway.

Anybody know where I can get tobacco seeds?
Any practical advice on growing techniques?
Moreover, will it work at all in the short seasons of
the Northeast?

Thanks,

Kerry Miller.